Search documentation of tiger_stripe

# Stripe.Services.Treasury.DebitReversalService (tiger_stripe v0.1.1)

Copy Markdown View Source

TreasuryReceivedDebitsResourceDebitReversal

You can reverse some ReceivedDebits depending on their network and source flow. Reversing a ReceivedDebit leads to the creation of a new object known as a DebitReversal.

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create a DebitReversal

list(client, params \\ %{}, opts \\ [])

List all DebitReversals

retrieve(client, debit_reversal, params \\ %{}, opts \\ [])

Retrieve a DebitReversal

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Create a DebitReversal

Reverses a ReceivedDebit and creates a DebitReversal object.

# list(client, params \\ %{}, opts \\ [])

    @spec list(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

List all DebitReversals

Returns a list of DebitReversals.

# retrieve(client, debit_reversal, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve a DebitReversal

Retrieves a DebitReversal object.